# Customs, Immigration and Quarantine facilities availability

## Get 24 hours of CIQ availability information starting from specified date and time.

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/availability/ciq`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Query Parameters

| Name     | Type    | Description                                                                                                                                 |
| -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| dateTime | String  | Range start for the availability retrieval. Default value: `now`. Datetime format: `ISO 8601`.                                              |
| local    | Boolean | Whether to use local time or UTC. If `true` the `dateTime` query parameter  shall be provided in local time as well. Default value: `false` |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK Query was successful" %}
The detailed properties of the returned item can be found in the [CIQ Availability](/data-models/availability.md#ciq-availability) documentation.

```json
[
	{
		"validFrom": "2022-07-26T00:00:00",
		"validTo": "2022-07-26T23:59:59.999999999",
		"status": "FULL"
	}
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

{% endtab %}

{% tab title="404: Not Found Airport by the given Aviowiki ID was not found." %}

```json
{
	"error": "The com.aviowiki.dao.Airport identified by the AID {AID} does not exist in the system",
	"timestamp": "2022-07-26T16:23:01.474034802Z",
	"status": 404,
	"message": "The com.aviowiki.dao.Airport identified by the AID {AID} does not exist in the system",
	"path": "/airports/{AID}/availability"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/airport-endpoints/availability-of-an-airport/customs-immigration-and-quarantine-facilities-availability.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
